using RFrameGenerate.BLL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace jiouosdp.Areas.WeiXinBase.Controllers
{
    [LF(IsLoginFilter = false), PF(IsPermissionFilter = false)]
    public class AuthorizationController : Controller
    {
        //
        // GET: /WeiXinBase/Authorization/

        [PF(PCode.WeiXinManage.Authorization)]
        public ActionResult Index()
        {            
            return View();
        }

        public JsonResult Save(bool state, Guid? guid, string AttentionUrl, bool IsAttentionUrl)
        {
            var result = WeChatManage.Remind(state, guid, AttentionUrl, IsAttentionUrl);
            if (result.State)
                return Json(new { Result = "OK" });
            else
                return Json(new { Result = "No", Msg = result.Msg });
        }

    }
}
